> ## Documentation Index
> Fetch the complete documentation index at: https://developers.trycents.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Request OTP

> Request to send One-Time Password code to phone number



## OpenAPI

````yaml POST /auth/customers/request-otp
openapi: 3.1.0
info:
  title: OpenAPI Cents
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api3.trycents.com/api/v1/common
security: []
paths:
  /auth/customers/request-otp:
    post:
      description: Request to send One-Time Password code to phone number
      requestBody:
        content:
          application/json:
            schema:
              required:
                - phoneNumber
              type: object
              properties:
                phoneNumber:
                  type: string
                  description: Phone number must have 10 digits
                useEmail:
                  type: boolean
                  description: >-
                    Set to 'true' if you want to send a one-time password to
                    your email address.
        required: true
      responses:
        '200':
          description: OTP code sent
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
                example:
                  error: Phone number is required. Phone number must have 10 digits.
      servers:
        - url: https://api3.trycents.com/api/v1
components:
  schemas:
    Error:
      required:
        - error
      type: object
      properties:
        error:
          type: string

````